Log options
-----------

--echo parms
  Echo ``parms`` to log output.

  Designed to be used to send messages to a controlling application which
  is receiving the OpenVPN log output.

--errors-to-stderr
  Output errors to stderr instead of stdout unless log output is
  redirected by one of the ``--log`` options.

--log file
  Output logging messages to ``file``, including output to stdout/stderr
  which is generated by called scripts. If ``file`` already exists it will
  be truncated. This option takes effect immediately when it is parsed in
  the command line and will supersede syslog output if ``--daemon``
  is also specified. This option is persistent over the entire
  course of an OpenVPN instantiation and will not be reset by
  :code:`SIGHUP`, :code:`SIGUSR1`, or ``--ping-restart``.

  Note that on Windows, when OpenVPN is started as a service, logging
  occurs by default without the need to specify this option.

--log-append file
  Append logging messages to ``file``.  If ``file`` does not exist, it will
  be created. This option behaves exactly like ``--log`` except that it
  appends to rather than truncating the log file.

--machine-readable-output
  Always write timestamps and message flags to log messages, even when
  they otherwise would not be prefixed. In particular, this applies to log
  messages sent to stdout.

--mute n
  Log at most ``n`` consecutive messages in the same category. This is
  useful to limit repetitive logging of similar message types.

--mute-replay-warnings
  Silence the output of replay warnings, which are a common false alarm on
  WiFi networks. This option preserves the security of the replay
  protection code without the verbosity associated with warnings about
  duplicate packets.

--suppress-timestamps
  Avoid writing timestamps to log messages, even when they otherwise would
  be prepended. In particular, this applies to log messages sent to
  stdout.

--syslog progname
  Direct log output to system logger, but do not become a daemon. See
  ``--daemon`` directive above for description of ``progname`` parameter.

--verb n
  Set output verbosity to ``n`` (default :code:`1`). Each level shows all
  info from the previous levels. Level :code:`3` is recommended if you want
  a good summary of what's happening without being swamped by output.

  :code:`0`
      No output except fatal errors.

  :code:`1` to :code:`4`
      Normal usage range.

  :code:`5`
      Outputs :code:`R` and :code:`W` characters to the console for
      each packet read and write, uppercase is used for TCP/UDP
      packets and lowercase is used for TUN/TAP packets.

  :code:`6` to :code:`11`
      Debug info range (see :code:`errlevel.h` in the source code for
      additional information on debug levels).
